Chat widget
Get chat widget settings
GET
Chat widget appearance, texts and languages of an agent.
bearer agents:readheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: agents:read
agentId*stringAI agent id. Never invent ids – list resources first.
Length
1 <= length <= 64Success
application/json- response
agentId*stringprimaryColor*stringposition*stringthemeMode*stringavatarUrl*stringrequireEmailBeforeChat*booleanheaderTitle*stringheaderStatus*stringinputPlaceholder*stringwelcomeMessage*stringautoDetectLocale*booleandefaultLocale*stringsupportedLocales*array<string>suggestions*array<string>faq*array<string>Pre-written FAQ answers shown in the widget.
translationOverrides*curl -X GET "https://example.com/agents/string/widget"{ "agentId": "string", "primaryColor": "string", "position": "string", "themeMode": "string", "avatarUrl": "string", "requireEmailBeforeChat": true, "headerTitle": "string", "headerStatus": "string", "inputPlaceholder": "string", "welcomeMessage": "string", "autoDetectLocale": true, "defaultLocale": "string", "supportedLocales": [ "string" ], "suggestions": [ "string" ], "faq": [ "string" ], "translationOverrides": { "property1": { "property1": null, "property2": null }, "property2": { "property1": null, "property2": null } }}